using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DatePickerInModalDialog.Models;

namespace DatePickerInModalDialog.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult PartialView1()
        {
            OrderViewModel model = new OrderViewModel()
            {
                OrderID = 1,
                ScheduledDate = DateTime.Now
            };

            return View(model);
        }

        [HttpPost]
        public ActionResult Submit(DateTime? scheduledDate)
        {
            return View("Success");
        }
    }
}
